<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
<script type="text/javascript">
	
  var Animal=function(){

       this.nombrePadre="soy tu padre";

  };
  var Leon=function(){

  	  this.nombreHijo="soy el hijo";

  };

Leon.prototype=new Animal;
var objetoPadre=new Animal;
var objetoHijo=new Leon();
console.log(objetoPadre.nombrePadre);
console.log(objetoHijo.nombrePadre);
console.log(objetoHijo.nombreHijo);
</script>

</head>
<body>
	
</body>
</html>